// @ts-nocheck

/**
 * 檢查壹個值是否為數字類型或表示數字的字符串
 * @param value 要檢查的值，可以是 string 類型或 number 類型
 * @returns 如果值是數字類型或表示數字的字符串，則返回 true；否則返回 false
 */

// #ifndef APP-IOS || APP-ANDROID
export function isNumeric(value: string | number | undefined | null): boolean {
  return /^(-)?\d+(\.\d+)?$/.test(value);
}
// #endif


// #ifdef APP-IOS || APP-ANDROID
import {isNumber} from '../isNumber';
import {isString} from '../isString';
export function isNumeric(value : any|null) : boolean {
	if(value == null) {
		return false
	}
	if(isNumber(value)) {
		return true
	} else if(isString(value)) {
		// const regex = "-?\\d+(\\.\\d+)?".toRegex()
		const regex = new RegExp("^(-)?\\d+(\\.\\d+)?$")
		return  regex.test(value as string) //regex.matches(value as string) 
	}
	return false
	// return /^(-)?\d+(\.\d+)?$/.test(value);
}
// #endif
